class BookmarksBuilder < Builder
  # def self.build(collections = [])
  #   super(subject_repository, collections, true, 'rid')
  # end

  def self.build_from_orientdb(args = {})
    super(args) do
      learning_objects = args['bookmark'].nil? ? [] : LearningObjectBuilder.build(map_rid_to_object(args['bookmark']))
      obj = Bookmarks.new(
        id: args['@rid'],
        owner: user_repository.find(args['p_id']),
        learning_objects: learning_objects
      )
      obj.last_modified = DateTime.strptime(args['last_modified'], "%Y-%m-%d %H:%M:%S") unless args['last_modified'].nil?
      obj
    end
  end
end
