class InstitutionBuilder < Builder
  ##
  # receive a list of ids and return a list of institutions
  #
  def self.build(institutions = [])
    super(institution_repository, institutions)
  end

  def self.build_from_orientdb(args = {})
    super(args)
    Orientdb::Institution.new(
        id: args['@rid'],
        name: args['name'],
        created_at: args['created_at'],
        last_modified: args['last_modified'],
        country: args['country'] || '',
        city: args['city'] || '',
        description: args['description'] || '',
        thumbnail: args['thumbnail'] || '',
        address: args['address'] || ''
      )
  end

end
