class Review < ActiveRecord::Base
  belongs_to :reviewable, polymorphic: true

  belongs_to :user

  has_many :review_ratings
  has_many :ratings, through: :review_ratings

  validates_presence_of :user, :reviewable, :review_ratings
end
