module OrientDb
  module Methods
    module CrudMethods

      def destroy(object)
        connection.command sprintf("DELETE VERTEX %s", object.id)
      end

      def create(object)
        if object.valid?
          hash = object.to_orientdb_hash
          result = connection.create_document(hash)
          object.id = result["@rid"]
        end
        object
      end

      def update_property(object, property, value)
        if accepted_properties.include? property
          connection.command "UPDATE #{odb_class} SET #{property}='#{value}', last_modified='#{Time.now()}' WHERE @rid = #{object.id}"
        end
      end

    end
  end
end
